OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Classes
juce::ValueSmoothingTypes Namespace Reference

## Classes
struct | Linear
struct | Multiplicative

## Detailed Description

A namespace containing a set of types used for specifying the smoothing behaviour of the SmoothedValue class.

For example:

SmoothedValue<float, ValueSmoothingTypes::Multiplicative> frequency (1.0f);
juce::SmoothedValue
Definition: juce_SmoothedValue.h:229

## Class Documentation

## ◆ juce::ValueSmoothingTypes::Linear

struct juce::ValueSmoothingTypes::Linear

Used to indicate a linear smoothing between values.

Definition at line 187 of file juce_SmoothedValue.h.

## ◆ juce::ValueSmoothingTypes::Multiplicative

struct juce::ValueSmoothingTypes::Multiplicative

Used to indicate a smoothing between multiplicative values.

Definition at line 194 of file juce_SmoothedValue.h.